class DepotSample {
	static function main() {
		var db = qdbm.Depot.open("depot.data", true);
		db.put("FOO", "100");
		db.put("BAR", "120");
		db.put("BAZ", "80");
		db.put("BAZ", "110");
		db.out("FOO");
		db.sync();
		db.optimize();
		
		neko.Lib.print(db.get("BAR"));
		neko.Lib.print("\n");
		neko.Lib.print(db.rnum());
		neko.Lib.print("\n");

		db.initIterator();
		var k;
		for(k in db){
			neko.Lib.print(k + " : " + db.get(k));
			neko.Lib.print("\n");
		}

		db.close();
		qdbm.Depot.remove("depot.data");
		neko.Lib.print("\n\n");
	}
}
